jQuery.fn.exists = function(){return this.length>0;}

jQuery( document ).ready(function( $ ) {

 update_full_total();
 
 // each + clicked
 $('input.more').each(function() {
  $(this).click(function() { 
   var num=parseInt($(this).prev('input.amount').val());
   var priceinc=parseFloat($(this).prev().prev('input.aprice').val());
   var unit=$(this).parent().find("input[name='unit']").val();
   $(this).prev('input.amount').val(parseInt(num)+parseInt(unit));
   update_total_price(priceinc,unit);
   });
 });
 // each - clicked
 $('input.less').each(function() {
  $(this).click(function() { 
   var num=parseInt($(this).next().next().next('input.amount').val());
   if (num!=0) { 
     var priceinc=parseFloat($(this).next().next('input.aprice').val());
	 var unit=$(this).parent().find("input[name='unit']").val();	 
     $(this).next().next().next('input.amount').val(parseInt(num)-parseInt(unit)); 
     update_total_price(0-priceinc,unit);
   }
  });
 });

 // send order button
 $('#send_order').click(function() { 
  send_order();
 });
 
 // calculate full order total so far
 function update_full_total() {
  var grand_total=0;
  $('input.less').each(function() {
    var aprice=parseFloat($(this).next().next('input.aprice').val());
    var num=parseInt($(this).next().next().next('input.amount').val());  
	var unit=parseInt($(this).parent().find("input[name='unit']").val());
    var fprice=aprice*num;
	grand_total+=fprice;
  });
   if (isNaN(grand_total.toFixed(2))) { total_txt="Upon quote"; 
    if (!$('form#order_form #upon_quote').exists()) { $('form#order_form').append("<input type='hidden' name='upon_quote' id='upon_quote'  value='yes' />"); }  
	}
   else { var total_txt=grand_total.toFixed(2); }
   total_txt+=" <span class=\"item_count\">("+count_items()+" pieces of "+count_picked()+" types)</span>";
   $('#total_price').html(total_txt);
 }
 // update price as + or - button clicked
 function update_total_price(priceinc,unit) {
 var total_price=parseFloat($('#total_price').text());
 total_price += (priceinc * unit);
 if (isNaN(total_price.toFixed(2))) { total_txt="Upon quote"; 
    if (!$('form#order_form #upon_quote').exists()) { $('form#order_form').append("<input type='hidden' name='upon_quote' value='yes' />"); }
 }
 else { var total_txt=total_price.toFixed(2); }
 total_txt+=" <span class=\"item_count\">("+count_items()+" pieces of "+count_picked()+" types)</span>";
 $('#total_price').html(total_txt);
 }

 function count_items() {
  var ic=0;
  $('input.amount').each(function() { 
   ic+=parseInt($(this).val());
  });
  return ic;
 }

 function count_picked() {
 var ip=0;
  $('input.amount').each(function() { 
   if (parseInt($(this).val())>0) { ip++; }
  });
  return ip;
 }
 
 // create JSON output for send_order button
 function send_order() {
  var food=[];
  var grand_total=0;
  $('input.less').each(function() {
    var aitem=$(this).next('input.aname').val();
    var aprice=parseFloat($(this).next().next('input.aprice').val());
    var num=parseInt($(this).next().next().next('input.amount').val());   
    var myObject = new Object();
    if (num>0) {
	 myObject.item_name = aitem ;
	 myObject.item_price = aprice;
	 myObject.item_qty = num;
	 var myString = JSON.stringify(myObject);
	 //alert(myString);
	 food.push(myObject);
	}
	var fprice=aprice*num;
	grand_total+=fprice;
  });

  //alert(JSON.stringify(food));
  $('form#order_form #order_details').val(JSON.stringify(food));
  $('form#order_form').submit();
  }

$('#canape_calc').click(function() {
 var num=parseInt($('#canape_people').val());
 if (isNaN(num)) { num=100; $('#canape_people').val('100'); } 
 var hours=parseInt($('#canape_hours').val());
 hours+=5;
 var calc=(num * hours);
 var str="<p>We estimate you will need approximately "+calc+" canap&eacute;s (approx "+hours+" per guest).</p>";
 var sel="";
 if (calc<=200) { sel="5"; }
 else if (calc<=400) { sel="6"; }
 else if (calc<=700) { sel="7"; }
 else if (calc<=1000) { sel="8"; }
 else { sel="10 to 12"; }
 var num_of=calc/parseInt(sel);
 num_of=Math.round(num_of);
 str+="<p>You can have a selection of "+sel+" different types of canapé from the list below,<br />please order around "+num_of+" per type.</p>";
 str+="<p>If you'd like help with this, please give us a call or <a href=\"/contact.html\">click here</a> to use the contact form.</p>";
 $('#canapes_num').html(str);

});
 
}); // ready function